Who holds anything in the organization, from grant. (owner/admin/auditor)
curl --request GET \
--url https://api.mnemom.ai/v1/orgs/{org_id}/grants/holders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mnemom.ai/v1/orgs/{org_id}/grants/holders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mnemom.ai/v1/orgs/{org_id}/grants/holders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"counts": [
{
"subject_kind": "user",
"type": "<string>",
"route": "creator",
"environment": "<string>",
"holders": 1,
"n": 1
}
],
"holders": [
{
"subject": "<string>",
"held": [
{
"type": "<string>",
"role": "<string>",
"route": "creator",
"environment": "<string>",
"n": 1
}
]
}
],
"approximate": true,
"next_cursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Organizations
Who holds anything in the organization, from grant. (owner/admin/auditor)
The org-admin Grants pane’s Who-holds read from grant.
GET
/
orgs
/
{org_id}
/
grants
/
holders
Who holds anything in the organization, from grant. (owner/admin/auditor)
Authorizations
Supabase JWT token in Authorization: Bearer header
Path Parameters
Organization identifier (e.g. org-abc12345)
Query Parameters
A grant. resource type, [a-z][a-z0-9_]{0,63}.
Maximum string length:
64Pattern:
^[a-z][a-z0-9_]{0,63}$Available options:
test, preview, production The previous page's next_cursor: a grant. holder subject, a typed id or a team:<id>#member member set.
Maximum string length:
140Pattern:
^(?:(?:user|service):[A-Za-z0-9_-]{1,128}|agent:mnm-[a-z0-9-]{1,120}|team:[A-Za-z0-9_-]{1,128}#member)$